---
name: Steve Renton
locality:
country: Remote
role: <a href="https://handbook.gitlab.com/job-families/sales/account-executive/">Account
  Executive (Mid-Market, Territory), US East</a>
reports_to: lvasquez00887
picture: "../gitlab-logo-extra-whitespace.png"
pronouns:
pronunciation:
twitter:
linkedin:
gitlab: srenton
departments:
- MM
specialty: ''
expertise:
story:
job_title: Account Executive - Mid Market
division: Sales
public: true

